import click


def display_units(value, units):

    units_caseless = units.casefold()

    if units_caseless == 'kb'.casefold():
        return value.kilobytes
    elif units_caseless == 'mb'.casefold():
        return value.megabytes
    elif units_caseless == 'gb'.casefold():
        return value.gigabytes
    else:
        return value.bytes


def title(title):
    click.echo('=' * 80)
    click.echo(' {}'.format(title))
    click.echo('=' * 80)


def subtitle(title):
    click.echo('-' * 80)
    click.echo(' {}'.format(title))
    click.echo('-' * 80)


def subsubtitle(title):
    click.echo(' {}'.format(title))
    click.echo(' {}'.format('=' * len(title)))


def subsubsubtitle(title):
    click.echo(' {}'.format(title))
    click.echo(' {}'.format('-' * len(title)))

def indent(string, space=2):

    lines = string.split('\n')
    lines = list(map(lambda l: '{}{}'.format(' ' * space, l), lines))

    return '\n'.join(lines)