import click

from getpass import getpass

from client.client import Client
from client.error import TotpTokenIncorrectException


def obtain_session(cli_username, cli_password, cli_token):

    client = Client()
    username = cli_username
    password = cli_password
    token = cli_token
    session = None

    if username is None or password is None or token is None:
        click.echo('')

    if username is None:
        username = input('  Enter SPP username: ')

    if password is None:
        password = getpass('  Enter SPP password: ')

    if username is None or password is None:
        click.echo('')
        
    try:
        session = client.create_session(username, password, token)
    
    except TotpTokenIncorrectException:
        
        if token is None:
            token = input('  Enter SPP user TOTP token: ')

        session = client.create_session(username, password, token)

    return session