import click

from log.cli import log
from memory.cli import memory
from references.cli import references
from config.cli import config


@click.group()
@click.pass_context
@click.option('--config', default='/opt/ECX/sys/production-config.json', help='The path to the configuration file')
def main(ctx, config):
    ctx.obj = {}
    ctx.obj['config_path'] = config

if __name__ == '__main__':
    main.add_command(log)
    main.add_command(memory)
    main.add_command(references)
    main.add_command(config)
    main()
